<?php
use Phppot\DataSource;

require_once 'DataSource.php';
$db = new DataSource();
$conn = $db->getConnection();

if (isset($_POST["import"])) {
    
    $fileName = $_FILES["file"]["tmp_name"];
    
    if ($_FILES["file"]["size"] > 0) {
        
        $file = fopen($fileName, "r");
        
        while (($column = fgetcsv($file, 10000, ",")) !== FALSE) {
            
             $sno = "";
            if (isset($column[0])) {
                $sno = mysqli_real_escape_string($conn, $column[0]);
            }
            $jan = "";
            if (isset($column[1])) {
                $jan = mysqli_real_escape_string($conn, $column[1]);
            }
            $feb = "";
            if (isset($column[2])) {
                $feb = mysqli_real_escape_string($conn, $column[2]);
            }
            $march = "";
            if (isset($column[3])) {
                $march = mysqli_real_escape_string($conn, $column[3]);
            }
            $april = "";
            if (isset($column[4])) {
                $april = mysqli_real_escape_string($conn, $column[4]);
            }
             $may = "";
            if (isset($column[5])) {
                $may = mysqli_real_escape_string($conn, $column[5]);
            }
             $june = "";
            if (isset($column[6])) {
                $june = mysqli_real_escape_string($conn, $column[6]);
            }
             $july = "";
            if (isset($column[7])) {
                $july = mysqli_real_escape_string($conn, $column[7]);
            }
             $aug = "";
            if (isset($column[8])) {
                $aug = mysqli_real_escape_string($conn, $column[8]);
            }
             $sept = "";
            if (isset($column[9])) {
                $sept = mysqli_real_escape_string($conn, $column[9]);
            }
             $oct = "";
            if (isset($column[10])) {
                $oct = mysqli_real_escape_string($conn, $column[10]);
            }
             $nov = "";
            if (isset($column[11])) {
                $nov = mysqli_real_escape_string($conn, $column[11]);
            }
             $december = "";
            if (isset($column[12])) {
                $december = mysqli_real_escape_string($conn, $column[12]);
            }
            
            $sqlInsert = "INSERT into users (sno,jan,feb,march,april,may,june,july,aug,sept,oct,nov,december)
                   values (?,?,?,?,?,?,?,?,?,?,?,?,?)";
            $paramType = "issssssssssss";
            $paramArray = array(
                $sno,
                $jan,
                $feb,
                $march,
                $april,
                $may,
                $june,
                $july,
                $aug,
                $sept,
                $oct,
                $nov,
                $december
            );
            $insertId = $db->insert($sqlInsert, $paramType, $paramArray);
            
            if (! empty($insertId)) {
                $type = "success";
                $message = "CSV Data Imported into the Database";
            } else {
                $type = "error";
                $message = "Problem in Importing CSV Data";
            }
        }
    }
}
?>
<!DOCTYPE html>
<html>

<head>
<script src="jquery-3.2.1.min.js"></script>

<style>
body {
    font-family: Arial;
    width: 550px;
}

.outer-scontainer {
    background: #F0F0F0;
    border: #e0dfdf 1px solid;
    padding: 20px;
    border-radius: 2px;
}

.input-row {
    margin-top: 0px;
    margin-bottom: 20px;
}

.btn-submit {
    background: #333;
    border: #1d1d1d 1px solid;
    color: #f0f0f0;
    font-size: 0.9em;
    width: 100px;
    border-radius: 2px;
    cursor: pointer;
}

.outer-scontainer table {
    border-collapse: collapse;z
    width: 100%;
}

.outer-scontainer th {
    border: 1px solid #dddddd;
    padding: 8px;
    text-align: left;
}

.outer-scontainer td {
    border: 1px solid #dddddd;
    padding: 8px;
    text-align: left;
}

#response {
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 2px;
    display: none;
}

.success {
    background: #c7efd9;
    border: #bbe2cd 1px solid;
}

.error {
    background: #fbcfcf;
    border: #f3c6c7 1px solid;
}

div#response.display-block {
    display: block;
}
</style>
<script type="text/javascript">
$(document).ready(function() {
    $("#frmCSVImport").on("submit", function () {

        $("#response").attr("class", "");
        $("#response").html("");
        var fileType = ".csv";
        var regex = new RegExp("([a-zA-Z0-9\s_\\.\-:])+(" + fileType + ")$");
        if (!regex.test($("#file").val().toLowerCase())) {
                $("#response").addClass("error");
                $("#response").addClass("display-block");
            $("#response").html("Invalid File. Upload : <b>" + fileType + "</b> Files.");
            return false;
        }
        return true;
    });
});
</script>
</head>

<body>
    <h2>Import CSV file into Mysql using PHP</h2>

    <div id="response"
        class="<?php if(!empty($type)) { echo $type . " display-block"; } ?>">
        <?php if(!empty($message)) { echo $message; } ?>
        </div>
    <div class="outer-scontainer">
        <div class="row">

            <form class="form-horizontal" action="" method="post"
                name="frmCSVImport" id="frmCSVImport"
                enctype="multipart/form-data">
                <div class="input-row">
                    <label class="col-md-4 control-label">Choose CSV
                        File</label> <input type="file" name="file"
                        id="file" accept=".csv">
                    <button type="submit" id="submit" name="import"
                        class="btn-submit">Import</button>
                    <br />

                </div>

            </form>

        </div>
               <?php
            $sqlSelect = "SELECT * FROM users";
            $result = $db->select($sqlSelect);
            if (! empty($result)) {
                ?>
            <table id='userTable'>
            <thead>
                <tr>
                    <th>Sno</th>
                    <th>Jan</th>
                    <th>Feb</th>
                    <th>March</th>
                     <th>April</th>
                      <th>May</th>
                       <th>June</th>
                        <th>July</th>
                         <th>August</th>
                          <th>September</th>
                           <th>October</th>
                            <th>November</th>
                             <th>December</th>

                </tr>
            </thead>
<?php
                
                foreach ($result as $row) {
                    ?>
                    
                <tbody>
                <tr>
                   <td><?php  echo $row['sno']; ?></td>
                    <td><?php  echo $row['jan']; ?></td>
                    <td><?php  echo $row['feb']; ?></td>
                    <td><?php  echo $row['march']; ?></td>
                    <td><?php echo $row['april'];?></td>
                    <td><?php echo $row['may'];?></td>
                    <td><?php echo $row['june'];?></td>
                     <td><?php echo $row['july'];?></td>
                      <td><?php echo $row['aug'];?></td>
                       <td><?php echo $row['sept'];?></td>
                       <td><?php echo $row['oct'];?></td>
                        <td><?php echo $row['nov'];?></td>
                         <td><?php echo $row['december'];?></td>
                </tr>
                    <?php
                }
                ?>
                </tbody>
        </table>
        <?php } ?>
    </div>

</body>

</html>